#ifndef CRAZYH
#define CRAZYH


#include "mysql.h"
#include "error_codes.h"

extern int  get_config_info         (char *);
extern int  populateData            (char *, char *);
extern void errwin                  (int); 
extern void create_pid_file         (void);
extern int  check_pid_file          (void);
extern int  connect_2_database      (void);
extern void connect_and_wait        (int);
extern void start_dialogue          (void);
extern char *strip_term             (char *);
extern int  write_string            (char *);
struct u_data 
{
    char *user_name;
    char *host_name;
    char *passwd;
    char *server_name;
    char *real_name;
    char *nick_name;
};

typedef struct {
    MYSQL *mysql_ptr;
    char *database_info[4];
    int port;
    int ssock;
    int logged_in;
    struct u_data user_data;
    char channel[100];
}trnx_holder;

extern trnx_holder data;

enum {
    host = 0,
    user,
    passwd,
    database
}mysql_types;

enum {
    false = 0,
    true  = 1
}bool;

#endif
