/*******************************************************************
  * File Name   : ircdutils.c
  * Function    : This file will contain various utility funcitons
  * History     : Created 05th of July 2002 jcorcora
  ******************************************************************/


#include "crazyirc.h"
#include <stdio.h>
#include <errno.h>


/********************************************************************
  * Function Name : errwin
  * Arguments     : in - int = errno.
  *                 out - void
  *******************************************************************/
void
errwin (int error)
{
    fprintf(stderr,"\n\n________________________________\nError [%d].\nString [%s].\n________________________________\n",error,strerror(error));
}


/*********************************************************************
  * Function Name   : strip_term
  * Arguments       : in  char *
  *                   out char *
  ********************************************************************/
char *
strip_term (char *input)
{
    int i;
    char *pointer;
    int offset = 0;

    
    pointer = (char *)malloc(100);
    fprintf(stderr,"Enter strip_term [%s]:[%d].\n",input,strlen(input)); 
    offset++; 
    for( i = 1; i <= strlen(input); i++)
    {
        fprintf(stderr,"%x\n",*(input+i));
        if (isalpha(input[i])) 
        {
            offset++;
        }
        else
        {
            if (input[i] == '-')
            {
                offset++;
            }
            else
            {
                fprintf(stderr,"Found LF/CR @ [%d].\n",i);
            }
        }
    }
    strncpy(pointer,input,offset);
    fprintf(stderr,"returning with [%s].\n",pointer);
    return (pointer);
}
